| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkDebug::ConsoleOutputFormatter Class Referencefinal

Implementation of a console friendly output formatting. More...

Inheritance diagram for nkDebug::ConsoleOutputFormatter:

## Public Member Functions
| ConsoleOutputFormatter () noexcept
virtual | ~ConsoleOutputFormatter ()
virtual nkMemory::String | formatRunLaunch (const TestRunParameters &params) override
virtual nkMemory::String | formatRunEnd () override
virtual nkMemory::String | formatClassLaunch (const TestClassObserverInformation &info) override
virtual nkMemory::String | formatClassBypass (const TestClassObserverInformation &info) override
virtual nkMemory::String | formatClassEnd (const TestClassObserverInformation &info) override
virtual nkMemory::String | formatTestLaunch (const TestFunctionObserverInformation &info) override
virtual nkMemory::String | formatTestBypass (const TestFunctionObserverInformation &info) override
virtual nkMemory::String | formatTestSuccess (const TestFunctionObserverInformation &info) override
virtual nkMemory::String | formatTestFailure (const TestFunctionObserverInformation &info) override
Public Member Functions inherited from nkDebug::OutputFormatter
| OutputFormatter () noexcept
virtual | ~OutputFormatter ()

## Detailed Description

Implementation of a console friendly output formatting.

Utility class providing a default formatting for test logging within the console.

## Constructor & Destructor Documentation

## ◆ ConsoleOutputFormatter()

nkDebug::ConsoleOutputFormatter::ConsoleOutputFormatter | ( |  | ) |
| noexcept

Default constructor.

## ◆ ~ConsoleOutputFormatter()

virtual nkDebug::ConsoleOutputFormatter::~ConsoleOutputFormatter | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ formatRunLaunch()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatRunLaunch | ( | const TestRunParameters & | params | ) |
| override virtual

Called when a run is starting.

Parameters

  params | The parameters provided for the run.

Returns
  A formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

## ◆ formatRunEnd()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatRunEnd | ( |  | ) |
| override virtual

Called when a run is ending.

Returns
  A formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

## ◆ formatClassLaunch()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatClassLaunch | ( | const TestClassObserverInformation & | info | ) |
| override virtual

Called when a TestClass is being prepared to run its functions.

Parameters

  info | Current information about the run.

Returns
  Returns a formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

## ◆ formatClassBypass()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatClassBypass | ( | const TestClassObserverInformation & | info | ) |
| override virtual

Called when a TestClass is being bypassed.

Parameters

  info | Current information about the run.

Returns
  Returns a formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

## ◆ formatClassEnd()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatClassEnd | ( | const TestClassObserverInformation & | info | ) |
| override virtual

Called when a TestClass finished running its functions.

Parameters

  info | Current information about the run.

Returns
  Returns a formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

## ◆ formatTestLaunch()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatTestLaunch | ( | const TestFunctionObserverInformation & | info | ) |
| override virtual

Called when a TestClass' test function is starting.

Parameters

  info | Current information about the run.

Returns
  Returns a formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

## ◆ formatTestBypass()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatTestBypass | ( | const TestFunctionObserverInformation & | info | ) |
| override virtual

Called when a TestClass' test function is bypassed.

Parameters

  info | Current information about the run.

Returns
  Returns a formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

## ◆ formatTestSuccess()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatTestSuccess | ( | const TestFunctionObserverInformation & | info | ) |
| override virtual

Called when a TestClass' test function is succeeding.

Parameters

  info | Current information about the run.

Returns
  Returns a formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

## ◆ formatTestFailure()

virtual nkMemory::String nkDebug::ConsoleOutputFormatter::formatTestFailure | ( | const TestFunctionObserverInformation & | info | ) |
| override virtual

Called when a TestClass' test function is failing.

Parameters

  info | Current information about the run.

Returns
  Returns a formatted string to use for logging.

Reimplemented from nkDebug::OutputFormatter.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsDebug/Testing/Formatting/ConsoleOutputFormatter.h